File: configure.in

package info (click to toggle)
bug-buddy 2.22.0+dfsg-3
  • links: PTS
  • area: main
  • in suites: lenny
  • size: 8,620 kB
  • ctags: 2,941
  • sloc: cpp: 17,122; sh: 9,143; ansic: 3,487; objc: 609; makefile: 578; asm: 114
file content (187 lines) | stat: -rw-r--r-- 4,479 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
dnl Configure script for bug-buddy

AC_INIT([bug-buddy],[2.22.0],[http://bugzilla.gnome.org/enter_bug.cgi?product=bug-buddy])

AC_CANONICAL_TARGET

AC_CONFIG_HEADERS([config.h])

AM_INIT_AUTOMAKE([1.9 foreign no-dist-gzip dist-bzip2])

GNOME_DOC_INIT

AM_MAINTAINER_MODE
IT_PROG_INTLTOOL([0.35.0])
AM_DISABLE_STATIC

AC_PATH_PROG(GCONFTOOL, gconftool-2)
AM_GCONF_SOURCE_2

SCROLLKEEPER_REQUIRED=0.3.8
AC_SUBST(SCROLLKEEPER_REQUIRED)

## Begin tests for scrollkeeper
AC_PATH_PROG(SCROLLKEEPER_CONFIG, scrollkeeper-config,no)
if test x$SCROLLKEEPER_CONFIG = xno; then
  AC_MSG_ERROR(Couldn't find scrollkeeper-config, please install the scrollkeeper package)
fi

AC_PROG_CC
AC_PROG_CXX
AC_ISC_POSIX
AC_HEADER_STDC
AC_PROG_LIBTOOL

dnl required modules
BONOBO_ACTIVATION_REQUIRED="bonobo-activation-2.0 >= 1.0.0"
GDK_PIXBUF_REQUIRED="gdk-pixbuf-2.0 >= 2.0.0"
GMODULE_REQUIRED="gmodule-2.0 >= 2.0.0"
GNOME_DESKTOP_REQUIRED="gnome-desktop-2.0 >= 2.0.0"
GNOME_VFS_REQUIRED="gnome-vfs-2.0 >= 2.0.0"
LIBBONOBO_REQUIRED="libbonobo-2.0 >= 2.0.0"
LIBGNOME_REQUIRED="libgnome-2.0 >= 2.0.0"
LIBGNOMECANVAS_REQUIRED="libgnomecanvas-2.0 >= 2.0.0"
LIBGNOMEMENU_REQUIRED="libgnome-menu >= 2.11.1"
LIBGNOMEUI_REQUIRED="libgnomeui-2.0 >= 2.5.92"
LIBXML_REQUIRED="libxml-2.0 >= 2.4.6"
GTK_REQUIRED="gtk+-2.0 >= 2.12"
LIBSOUP_REQUIRED="libsoup-2.4"
LIBGTOP_REQUIRED="libgtop-2.0 >= 2.13.3"
LIBNM_GLIB_REQUIRED="libnm_glib >= 0.6.2"

PKG_CHECK_MODULES(BUG_BUDDY, 
[
	$BONOBO_ACTIVATION_REQUIRED
	$GDK_PIXBUF_REQUIRED
	$GMODULE_REQUIRED
	$GNOME_DESKTOP_REQUIRED
	$GNOME_VFS_REQUIRED
	$LIBBONOBO_REQUIRED
	$LIBGNOME_REQUIRED
	$LIBGNOMECANVAS_REQUIRED
	$LIBGNOMEMENU_REQUIRED
	$LIBGNOMEUI_REQUIRED
	$LIBXML_REQUIRED
	$GTK_REQUIRED
	$LIBSOUP_REQUIRED
	$LIBGTOP_REQUIRED
])

AC_SUBST(BUG_BUDDY_CFLAGS)
AC_SUBST(BUG_BUDDY_LIBS)

dnl optional modules (can be turned on/off at compile time)
LIBEBOOK_REQUIRED="libebook-1.2 >= 1.3.0"

AC_ARG_ENABLE([eds],
        [AC_HELP_STRING([--enable-eds],
                        [Enable support for getting user email from eds [default=yes]])],
			enable_eds="$enableval", enable_eds=yes)
if test "x$enable_eds" = "xyes"; then
    PKG_CHECK_MODULES(BUG_BUDDY_EDS, $LIBEBOOK_REQUIRED)
    AC_DEFINE(ENABLE_EDS, 1, [turn on support for getting user email from eds])
fi

AC_SUBST(BUG_BUDDY_EDS_CFLAGS)
AC_SUBST(BUG_BUDDY_EDS_LIBS)



AC_CHECK_LIB(elf, elf_version)
AC_CHECK_HEADERS([libelf.h],[],[AC_MSG_ERROR([libelf.h not found.])])
AC_CHECK_HEADERS([gelf.h],[],[AC_MSG_ERROR([gelf.h not found.])])

AC_CONFIG_SUBDIRS(google-breakpad)
GOOGLE_BREAKPAD_SUPPORTED_OS="no"
case $target_os in
    solaris*)
	solaris=yes
	GOOGLE_BREAKPAD_SUPPORTED_OS="yes"
	;;
    linux*)
	linux=yes
	GOOGLE_BREAKPAD_SUPPORTED_OS="yes"
	;;
esac

GOOGLE_BREAKPAD_SUPPORTED_ARCH="no"
case $target_cpu in
    *86)
       GOOGLE_BREAKPAD_SUPPORTED_ARCH="yes" ;;
esac

if test x$GOOGLE_BREAKPAD_SUPPORTED_OS = xyes ; then
	if test x$GOOGLE_BREAKPAD_SUPPORTED_ARCH = xyes ; then
		echo "OS and CPU supported: enabling google-breakpad"
		AC_DEFINE(ENABLE_GOOGLE_BREAKPAD, 1, [define if google-break is enabled])
		use_google_breakpad=yes
	fi
fi

AM_CONDITIONAL(USE_GOOGLE_BREAKPAD, test x$use_google_breakpad = xyes)
AM_CONDITIONAL(BREAKPAD_SOLARIS, test x$solaris = xyes)
AM_CONDITIONAL(BREAKPAD_LINUX, test x$linux = xyes)

GDK_REQUIRED="gdk-2.0 >= 2.9"
PKG_CHECK_MODULES(GNOME_BREAKPAD,
[
	$GDK_REQUIRED
])
AC_SUBST(GNOME_BREAKPAD_CFLAGS)
AC_SUBST(GNOME_BREAKPAD_LIBS)


PKG_CHECK_MODULES(GNOME_CRASH, $LIBGNOMEUI_REQUIRED)
AC_SUBST(GNOME_CRASH_CFLAGS)
AC_SUBST(GNOME_CRASH_LIBS)

#PKG_CHECK_MODULES(LIBNM, $LIBNM_GLIB_REQUIRED, have_nm="yes", have_nm="no")
have_nm="no"
AC_SUBST(LIBNM_CFLAGS)
AC_SUBST(LIBNM_LIBS)
if test "x$have_nm" = "xyes"
then
	AC_DEFINE(HAVE_NETWORKMANAGER, 1, [define if NetworkManager is installed])
fi

GETTEXT_PACKAGE=bug-buddy
AC_SUBST(GETTEXT_PACKAGE)
AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE")

AM_GLIB_GNU_GETTEXT

AC_PATH_PROG(GLIB_GENMARSHAL, glib-genmarshal)

GNOME_COMMON_INIT
GNOME_COMPILE_WARNINGS([maximum])
GNOME_MAINTAINER_MODE_DEFINES

AC_OUTPUT([
bug-buddy.spec
bug-buddy.schemas
Makefile
bugzilla/Makefile
bugzilla/gnome/Makefile
bugzilla/ximian/Makefile
pixmaps/Makefile
po/Makefile.in
gnome-breakpad/Makefile
src/Makefile
src/bug-buddy.menu
src/bug-buddy.desktop.in
])

dnl docs are totally hosed
dnl docs/Makefile
dnl docs/C/Makefile
dnl docs/it/Makefile

echo "

Configuration:

	CFLAGS:	${BUG_BUDDY_CFLAGS}

	LIBS:	${BUG_BUDDY_LIBS}

"